Subject: Re: [5/*] [IPSEC] Use XFRM_MSG_* instead of XFRM_SAP_*

From: Masahide NAKAMURA <[email-masked]>
Date: Wed, 13 Apr 2005 14:07:41 +0900

Hello Jamal and Herbert,

jamal wrote:
> On Tue, 2005-04-12 at 04:17, Masahide NAKAMURA wrote:
> 
> 
>>short report:
>>My testing is not completed but, I've tested below and it is fine:
>> add/del/flush SP and their notifications through netlink (using modified iproute2/ip).
>>
>> new "xfrm_userpolicy_delete" works fine on this case;
>> used byid=1 when deleting SP with specifying SP index.
>>
>>I'll test the rest case (17 hours later):
>>- using pfkey
>>- using both sockets
>>
> 
> 
> I did basic testing with pfkey generated events (policy/state) showing
> up in both. The vice-versa also looks good.

Thanks, Jamal.
I'm sorry to be late, I've also tested pfkey, both sockets, and using racoon
(on 2.6.12-rc2 + Jamal's patch + Herbert's 6 patches).

# If somebody is interested in, modified iproute2 for the kernel can be found at:
# http://www.linux-ipv6.org/~nakam/iproute2-xfrm-event/iproute2-xfrm-event-20050413.tar.gz
# a patch against the latest iproute2 bk tree
# http://www.linux-ipv6.org/~nakam/iproute2-xfrm-event/iproute2-xfrm-event-20050413.diff
# This iproute2 change will be sent to Stephen after the kernel released.

> Herbert, try to push forward to Dave.

Agreed.

Regards,

-- 
Masahide NAKAMURA